# TODO:
# - Add docs
# - Fix service file
# - check_postgres.cfg - add working sample!
%define		plugin	check_postgres
Summary:	Nagios plugin to check postgresql
Summary(pl.UTF-8):	Wtyczka Nagiosa sprawdzająca Postgresql
Name:		nagios-plugin-%{plugin}
Version:	2.26.0
Release:	1
License:	BSD
Group:		Networking
Source0:	http://bucardo.org/downloads/check_postgres-%{version}.tar.gz
# Source0-md5:	1462bef297ec4cfb4dc0d5de7849caf2
Source1:	%{plugin}.cfg
URL:		https://bucardo.org/wiki/Check_postgres
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.654
Requires:	nagios-common
# which is needed to locate psql in some cases (under nagios user)
Requires:	which 
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
Nagios plugin to check Postgresql

%description -l pl.UTF-8
Wtyczka Nagiosa sprawdzająca Postgresql

%prep
%setup -q -n %{plugin}-%{version}
cp %{plugin}.pl %{plugin}

%{__sed} -i -e 's,/usr/local/nagios/perl/lib,%{plugindir},' %{plugin}
%{__sed} -i -e '1s,^#!.*perl,#!%{__perl},' %{plugin}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
install -p %{plugin} $RPM_BUILD_ROOT%{plugindir}/%{plugin}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%changelog
* Mon Apr 08 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_postgres.git;a=log;h=master

* Mon Apr 08 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> f07e480
- Up to 2.26.0

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> f28294e
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Nov 17 2015 Mateusz Korniak <matkor@pld-linux.org> 62d757c
- Release 2. R: which binary.

* Sat Nov 07 2015 Elan Ruusamäe <glen@delfi.ee> b78ee4b
- check_postgres.cfg does not seem to be finished;

* Sat Nov 07 2015 Elan Ruusamäe <glen@delfi.ee> af2b320
- cleanup BR

* Sat Nov 07 2015 Elan Ruusamäe <glen@delfi.ee> 57878c9
- move plugin config as file

* Sat Nov 07 2015 Elan Ruusamäe <glen@delfi.ee> 61f99ec
- CLEANUP template leftovers

* Sat Nov 07 2015 Elan Ruusamäe <glen@delfi.ee> b274c10
- autogenerate perl deps

* Fri Nov 06 2015 Mateusz Korniak <matkor@pld-linux.org> c6097f3
- Release 1. Good enough for me. Added TODO.

* Fri Nov 06 2015 Mateusz Korniak <matkor@pld-linux.org> 1ee5c03
- Trying to follow template logic...

* Fri Nov 06 2015 Mateusz Korniak <matkor@pld-linux.org> 778b5ce
- Initial commit.

